[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Outdated version of Zoph in Debian

Hi Henrique, Jeroen,

On Sat, 2012-06-23 at 13:05 -0300, Henrique de Moraes Holschuh wrote:
> On Sat, 23 Jun 2012, Jeroen Roos wrote:
> > I am the maintainer of "Zoph", a webbased program to organize photos.
> ...
> > The current version in Debian has several issues, including a few
> > security-related of which some are severe. All of these are fixed in the
> > latest release, 0.9 which will be released today.
 As I see, 0.9 is released then. Looking into the feature list, it would
be a shame to let it fade away.

> > Because Edelhard seems to be unwilling and/or unable to fix this, I am
> > requesting you to either find a new maintainer or remove it from the
> > package database.
 Although I'm not one of its users, but will package 0.9 after I slept a
bit. I was looking for a similar program _on the desktop_. Couldn't find
any, even if I know Shotwell.

> Popcon says that the outdated Debian package doesn't have many users:
> http://qa.debian.org/popcon.php?package=zoph
 Jeroen, can you share some insight? Users gave up on the outdated
package, it's just not known, has some drawbacks?

> If the current maintainer (or a new maintainer) doesn't show up very soon
> with an upload of the new upstream version, it is probably best to remove it
> from Debian, as apparently the users have already given up on the
> Debian-packaged zoph and are probably using upstream packages directly.
 I'm asking for advice. To be honest, #556573 [1] needs some luck to be
fixed for Wheezy. There's an usability bug, as one dependency of Zoph is
not even packaged. As I see, the NEW queue is long, even if I package
that, may not reach testing and then stable. Without that, the very
first step, importing photos won't work.
 May the FTP Team be asked to review and hopefully accept that Perl
package per priority? What are RMs say?

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=556573

Reply to: